Mac OS操作系统使用Plots包出错

Mac 操作系统下使用Plots包报错,如下图所示:

操作系统:macOS Catalina 10.15.6、Julia版本1.4.2
已进行的尝试:

  • 重装Plots包
  • Pkgs模式下build包

疑惑内容:参考csdn以及众多博客后,发现问题可能是GR包build不成功所致,但是切换网络了以后发现已经成功通过build,但依旧出现问题。
恳请各位前辈指点方向,谢谢!

已解决。
通过重新安装Julia得以解决问题。
出现这个问题的原因应该是在初次安装Plots包的时候,build GR出现问题,然后在第一次使用Plots的时候预编译不通过,后面就一直都不通过。
不过让我好奇的是为什么我重装了Plots包却不能解决这个问题。
猜想可能是因为我仅仅通过remove包来移除旧的Plots包不够彻底。后面如果再出现这个问题的话,我再看看能否解决这个问题。

移除. julia 文件夹下的二进制文件和预编译文件之类

感谢。
这种方法的原理是不是让下次使用包的时候使系统无法检测到预编译,从而重新预编译?

京ICP备17009874号-2